osgUtil::GLObjectsOperation Class Reference

`#include <GLObjectsVisitor>`

Inheritance diagram for osgUtil::GLObjectsOperation:

## Public Member Functions

| GLObjectsOperation (GLObjectsVisitor::Mode mode=GLObjectsVisitor::COMPILE_DISPLAY_LISTS|GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES|GLObjectsVisitor::CHECK_BLACK_LISTED_MODES)
| GLObjectsOperation (osg::Node *subgraph, GLObjectsVisitor::Mode mode=GLObjectsVisitor::COMPILE_DISPLAY_LISTS|GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES|GLObjectsVisitor::CHECK_BLACK_LISTED_MODES)
virtual void | operator() (osg::GraphicsContext *context)
Public Member Functions inherited from osg::GraphicsOperation
| GraphicsOperation (const std::string &name, bool keep)
virtual void | operator() (Object *object)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Operation
| Operation (const std::string &name, bool keep)
void | setName (const std::string &name)
const std::string & | getName () const
void | setKeep (bool keep)
bool | getKeep () const
virtual void | release ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

osg::ref_ptr< osg::Node > | _subgraph
GLObjectsVisitor::Mode | _mode
Protected Attributes inherited from osg::Operation
std::string | _name
bool | _keep
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Operation
| Operation ()
virtual | ~Operation ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## GLObjectsOperation() [1/2]

osgUtil::GLObjectsOperation::GLObjectsOperation | ( | GLObjectsVisitor::Mode | mode = GLObjectsVisitor::COMPILE_DISPLAY_LISTS|GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES|GLObjectsVisitor::CHECK_BLACK_LISTED_MODES | ) |

References osgUtil::GLObjectsVisitor::CHECK_BLACK_LISTED_MODES, osgUtil::GLObjectsVisitor::COMPILE_DISPLAY_LISTS, and osgUtil::GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES.

## GLObjectsOperation() [2/2]

osgUtil::GLObjectsOperation::GLObjectsOperation | ( | osg::Node * | subgraph,
|  | GLObjectsVisitor::Mode | mode = GLObjectsVisitor::COMPILE_DISPLAY_LISTS|GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES|GLObjectsVisitor::CHECK_BLACK_LISTED_MODES )

References osgUtil::GLObjectsVisitor::CHECK_BLACK_LISTED_MODES, osgUtil::GLObjectsVisitor::COMPILE_DISPLAY_LISTS, and osgUtil::GLObjectsVisitor::COMPILE_STATE_ATTRIBUTES.

## Member Function Documentation

## operator()()

virtual void osgUtil::GLObjectsOperation::operator() | ( | osg::GraphicsContext * | context | ) |

virtual

Implements osg::GraphicsOperation.

## Member Data Documentation

## _mode

GLObjectsVisitor::Mode osgUtil::GLObjectsOperation::_mode

protected

## _subgraph

osg::ref_ptr<osg::Node> osgUtil::GLObjectsOperation::_subgraph

protected

The documentation for this class was generated from the following file:

- GLObjectsVisitor